Skip to main content
PUT
/
contract
/
v1
/
compensations
/
{compensationId}
Update a compensation
curl --request PUT \
  --url https://api-{region}.sesametime.com/contract/v1/compensations/{compensationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "status": "active",
  "code": "<string>",
  "comment": "<string>"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "Comision por ventas",
    "compensationType": "fixed",
    "quantity": 1500,
    "percentage": 10.5,
    "period": "weekly",
    "currency": "MXN",
    "recurrence": 1,
    "status": "active",
    "origin": "payroll",
    "code": "<string>",
    "comment": "<string>",
    "createdAt": "2020-01-01T10:00:00+01:00",
    "updatedAt": "2020-01-01T10:00:00+01:00"
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

compensationId
string<uuid>
required

The compensation ID

Body

application/json
name
string
required

Compensation name

status
enum<string>
required

Compensation status

Available options:
active,
inactive
code
string | null

External code (for Contpaqi integration)

comment
string | null

Optional comment

Response

Successful response

data
object
meta
object